System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 All the dynamic members are not designed to be thread safe. System.Object Handles XSL Transformation (XSLT)

This class handles XSL Transformation version 1.0 (see World Wide Web Consortium (W3C) Recommendation).

To process XSLT, a stylesheet document and an input document to the transformation is required. Both of them need to be supplied as a string URI, , , , , or . All of them turns into .

XslTransform loads one stylesheet via method, and reads the transformation input via method.

- Constructor
  The constructor.
  To be added.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` A string that represents the stylesheet URI that is being loaded. Loads and compiles the stylesheet. The call to this method is equivalent to Load (url, xmlResolver) where xmlResolver is the value of that is set in advance. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` A that represents the stylesheet document. Loads and compiles the stylesheet. The call to this method is equivalent to Load (stylesheet, xmlResolver) where xmlResolver is the value of that is set in advance. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` A that represents the stylesheet document. Loads and compiles the stylesheet. The call to this method is equivalent to Load (stylesheet.CreateNavigator (), xmlResolver, null) where xmlResolver is the value of that is set in advance. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` A that represents the stylesheet document. Loads and compiles the stylesheet. The call to this method is equivalent to Load (new XPathDocument (stylesheet), xmlResolver, null) where xmlResolver is the value of that is set in advance. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` A string that represents the stylesheet URI that is being loaded. A that is used to resolve inported or included documents. Loads and compiles the stylesheet. As for stylesheet compilation details, see Load (XPathNavigator, XmlResolver) for details. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` A that represents the stylesheet document. A that is used to resolve inported or included documents. Loads and compiles the stylesheet. The call to this method is equivalent to Load (new XPathDocument (stylesheet), resolver). To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` A that represents the stylesheet document. A that is used to resolve inported or included documents. Loads and compiles the stylesheet. The call to this method is equivalent to Load (stylesheet.CreateNavigator (), resolver, null). To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` A that represents the stylesheet document. A that is used to resolve inported or included documents. Loads and compiles the stylesheet. The call to this method is equivalent to Load (stylesheet, resolver, null). To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` A that represents the stylesheet document. A that is used to resolve inported or included documents. Not in use as yet. It will be used to load compiled stylesheet script assemblies. Loads and compiles the stylesheet. The call to this method is equivalent to Load (new XPathDocument (stylesheet).CreateNavigator (), resolver, evidence).

  Note: Evidence is not used as yet.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` A that represents the stylesheet document. A that is used to resolve inported or included documents. Not in use as yet. It will be used to load compiled stylesheet script assemblies. Loads and compiles the stylesheet. The call to this method is equivalent to Load (stylesheet.CreateNavigator (), resolver, evidence).

  Note: Evidence is not used as yet.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` A string that represents the input URI A string that represents the output URI Transforms the input document with already-loaded stylesheet. The call to this method is the same as Transform (inputfile, outputfile, xmlResolver) where xmlResolver is the value of that is set in advance. See Transform (XPathNavigator, XsltArgumentList, XmlWriter, XmlResolver) override for details. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlReader `` `` A that is used to create input XPathNavigator instance. A that is used to provide extension objects and/or parameters. Transforms the input document with already-loaded stylesheet. The call to this method is equivalent to Transform (input.CreateNavigator (), args, xmlResolver) where xmlResolver is the value of property that was set in advance. A that holds the transformation output. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlReader `` `` A that is used to create input XPathNavigator instance. A that is used to provide extension objects and/or parameters. Transforms the input document with already-loaded stylesheet. The call to this method is equivalent to Transform (input, args, xmlResolver) where xmlResolver is the value of property that was set in advance). A instance that holds the transformation result. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` A string that represents the input URI A string that represents the output URI A that is used to resolve external documents referenced by document() function. Transforms the input document with already-loaded stylesheet. About transformation, see Transform (XPathNavigator, XsltArgumentList, XmlWriter, XmlResolver) for details. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` A that is used to create input XPathNavigator instance. A that is used to provide extension objects and/or parameters. A that is used to write the transformation result. Transforms the input document with already-loaded stylesheet. The call to this method is mostly the same as Transform (input, args, new XmlTextWriter (output)), though not equivalent about encoding detection. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` A that is used to create input XPathNavigator instance. A that is used to provide extension objects and/or parameters. A that is used to write the transformation result. Transforms the input document with already-loaded stylesheet. The call to this method is equivalent to Transform (input.CreateNavigator (), args, output, xmlResolver) where xmlResolver is the value of property that was set in advance). To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlReader `` `` `` A that is used to create input XPathNavigator instance. A that is used to provide extension objects and/or parameters. A that is used to resolve external documents referenced by document() function. Transforms the input document with already-loaded stylesheet. The call to this method is equivalent to Transform (input.CreateNavigator (), args, resolver). A instance that holds the transformation result. There is no way to use this XmlResolver externally. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` A that is used to create input XPathNavigator instance. A that is used to provide extension objects and/or parameters. A that is used to write the transformation result. Transforms the input document with already-loaded stylesheet. The call to this method is equivalent to Transform (input.CreateNavigator (), args, output, xmlResolver) where xmlResolver is the value of property that was set in advance). To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` A that is used to create input XPathNavigator instance. A that is used to provide extension objects and/or parameters. A that is used to write the transformation result. Transforms the input document with already-loaded stylesheet. The call to this method is equivalent to Transform (input, args, output, xmlResolver) where xmlResolver is the value of property that was set in advance). To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` A that represens the input document. A that is used to provide extension objects and/or parameters. A that is used to write the transformation result. Transforms the input document with already-loaded stylesheet. The call to this method is equivalent to Transform (input, args, output, xmlResolver) where xmlResolver is the value of property that was set in advance). To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Xml.XmlReader `` `` `` A that represents an input document. A that is used to provide extension objects and/or parameters. A that is used to resolve external documents referenced by document() function. Transforms the input document with already-loaded stylesheet. About transformation, see Transform (XPathNavigator, XsltArgumentList, XmlWriter, XmlResolver) for details. A instance that holds the transformation result. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` A that is used to create input XPathNavigator instance. A that is used to provide extension objects and/or parameters. A that is used to write the transformation result. Transforms the input document with already-loaded stylesheet. The call to this method is equivalent to Transform (input, args, output, xmlResolver) where xmlResolver is the value of property that was set in advance). To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` A that is used to create input XPathNavigator document. A that is used to provide extension objects and/or parameters. A that is used to write transformation result. A that is used to resolve external documents referenced by document() function. Transforms the input document with already-loaded stylesheet. About transformation, see Transform (XPathNavigator, XsltArgumentList, XmlWriter, XmlResolver) for details. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` A that is used to create input XPathNavigator document. A that is used to provide extension objects and/or parameters. A that is used to write transformation result. A that is used to resolve external documents referenced by document() function. Transforms the input document with already-loaded stylesheet. About transformation, see Transform (XPathNavigator, XsltArgumentList, XmlWriter, XmlResolver) for details. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` A that is used to create input XPathNavigator document. A that is used to provide extension objects and/or parameters. A that is used to write transformation result. A that is used to resolve external documents referenced by document() function. Transforms the input document with already-loaded stylesheet. The call to this method is equivalent to Transform (input.CreateNavigator (), args, output, resolver). To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` A that represents the input document. A that is used to provide extension objects and/or parameters. A that is used to write transformation result. A that is used to resolve external documents referenced by document() function. Transforms the input document with already-loaded stylesheet. About transformation, see Transform (XPathNavigator, XsltArgumentList, XmlWriter, XmlResolver) for details. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` A that represents the input document. A that is used to provide extension objects and/or parameters. A that is used to write transformation result. A that is used to resolve external documents referenced by document() function. Transforms the input document with already-loaded stylesheet. About transformation, see Transform (XPathNavigator, XsltArgumentList, XmlWriter, XmlResolver) for details. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` `` A that represents the input document. A that is used to provide extension objects and/or parameters. A that is used to write transformation result. A that is used to resolve external documents referenced by document() function. Transforms the input document with already-loaded stylesheet.

  This method processes XSL transformation. See W3C XSL Transformation recommendation for the transformation details.

  When a dynamic transformation error (not stylesheet compilation error) happened, a will be thrown.

  For security reason, supplied XmlResolver is used to resolve external documents by such as XSLT document() function (see W3C specification for the details). If not explicitly passed as an argument, is used. If the property was not set, then is used by default (not safe; that resolves any documents specified).

  This class can handle user-defined extension objects. To use extension objects, specify an extension object via method of "args" parameter instance. Extension objects are accessible in the stylesheet as an extension function. Extension objects are mapped from namespaceUri to object. The type of an extension object is not limited; the transformation engine invokes the specified methods using reflection.

  Note: since extension objects are usual CLI object, there are some limitation on function names. For example, EXSLT ( http://www.exslt.org ) can never be fully implemented, since that specification for example contains "date-time()" function.

  Also, "transformation parameters" is supported, which can be specified via method of "args" parameter instance. The acceptable types of the parameters are the same as accepts.

  1.0.5000.0
  2.0.0.0
- Property
  System.Xml.XmlResolver Obsolete: Used to resolve external resources. It does not have getter. This property is used to resolve includes and imports specified in the stylesheet. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` Loads and compiles the stylesheet. A that represents the stylesheet document. A that is used to resolve inported or included documents. Not in use as yet. It will be used to load compiled stylesheet script assemblies.

  This method compiles the stylesheet from instance.

  If the input was not valid stylesheet, an will be thrown. Note that XSLT allows simplified syntax; the input does not always have XSLT "transform" (or "stylesheet") document element.

  If there were XSLT "include" or "import" elements, then parameter "resolver" is used to resolve external resources. If it was not explicitly provided, then the value of (that is set in advance) is used. If is was not set explicitly, then a instance is used.

  See also for the transformation details.

  Note: Evidence is not used as yet.